<?php
if(!defined('InWeBid')) exit("Access denied");
/***************************************************************************
 *   copyright				: (C) 2008 WeBid
 *   site					: http://www.webidsupport.com/
 ***************************************************************************/

/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. Although none of the code may be
 *   sold. If you have been sold this script, get a refund.
 ***************************************************************************/

if(!function_exists('GetLeftSeconds')) {
	function GetLeftSeconds() {
		$today = getdate();
		$month = $today['mon'];
		$mday = $today['mday'];
		$year = $today['year'];
		$lday = 31;
		#// Calculate last day
		while(!checkdate($month, $lday, $year)) {
			$lday--;
		}
		#// Days left t the end of the month
		$daysleft = intval($lday - date("d"));
		$hoursleft = 24 - $today['hours'];
		$minsleft = 60 - $today['minutes'];
		$secsleft = 60 - $today['seconds'];
		$left = $secsleft + ($minsleft * 60) + ($hoursleft * 3600) + ($daysleft * 86400);
		
		return $left;
	}
}

if(!function_exists('FormatDate')) {
	function FormatDate($DATE) {
		global $system;

		if (mysql_get_client_info() < 4.1 || !strstr($DATE,"-")){
			if($system->SETTINGS['datesformat'] == "USA") {
				$F_date = substr($DATE,4,2)."/".
						  substr($DATE,6,2)."/".
						  substr($DATE,0,4);
			} else {
				$F_date = substr($DATE,6,2)."/".
						  substr($DATE,4,2)."/".
						  substr($DATE,0,4);
			}
		} else {
			if($system->SETTINGS['datesformat'] == "USA") {
				$F_date = substr($DATE,5,2)."/".
						  substr($DATE,8,2)."/".
						  substr($DATE,0,4);
			} else {
				$F_date = substr($DATE,8,2)."/".
						  substr($DATE,5,2)."/".
						  substr($DATE,0,4);
			}
		}
		return $F_date;
	}
}

if(!function_exists('FormatSellDate')) {
	function FormatSellDate($DATE) {
	
		$F_date = substr($DATE, 0, 4).'-'.
				  substr($DATE, 4, 2).'-'.
				  substr($DATE, 6, 2).' '.
				  substr($DATE, 8, 2).':'.
				  substr($DATE, 10, 2).':'.
				  substr($DATE, 12, 2);
		return $F_date;
	}
}

if(!function_exists('FormatDateNumeric')) {
	function FormatDateNumeric($DATE) {
		global $system;

		if($system->SETTINGS['datesformat'] == "USA") {
			$F_date = substr($DATE,4,2)."/".
					  substr($DATE,6,2)."/".
					  substr($DATE,0,4);
		} else {
			$F_date = substr($DATE,6,2)."/".
					  substr($DATE,4,2)."/".
					  substr($DATE,0,4);
		}
		return $F_date;
	}
}

if(!function_exists('FormatTimeStamp')) {
	function FormatTimeStamp($DATE) {
		global $system;

		if($system->SETTINGS['datesformat'] == "USA") {
			$F_date = substr($DATE,5,2)."/".
					  substr($DATE,8,2)."/".
					  substr($DATE,0,4);
		} else {
			$F_date = substr($DATE,8,2)."/".
					  substr($DATE,5,2)."/".
					  substr($DATE,0,4);
		}
		return $F_date;
	}
}

if(!function_exists('FormatTimeLeft')) {
	function FormatTimeLeft($diff, $seconds = false) {
		global $MSG;
		
		$days_difference = floor($diff / 86400);
		$difference = $diff % 86400;
		$hours_difference = floor($difference / 3600);
		$difference = $difference % 3600;
		$minutes_difference = floor($difference / 60);
		$seconds_difference = $difference % 60;
		$secshow = false;
		
		if($days_difference > 0) {
			$timeleft = $days_difference.'d ';
		}
		if($hours_difference > 0) {
			$timeleft .= $hours_difference.'h ';
		} else {
			$secshow = true;
		}
		if($diff > 60) {
			$timeleft .= $minutes_difference.'m ';
		} elseif($diff > 60 && !$seconds) {
			$timeleft = '<1m';
		}
		if($secshow) {
			$timeleft .= $seconds_difference.'s ';
		}
		if($diff < 0) {
			$timeleft = $MSG['911'];
		}
		if(($diff*60) < 15) {
			$timeleft = '<span style="color:#FF0000;">'.$timeleft.'</span>';
		}
		
		return $timeleft;
	}
}

//-- Date and time hanling functions
if(!function_exists('ActualDate')) {
	function ActualDate() {
		global $system;
		$date = mktime(date('H')+$system->SETTINGS['timecorrection'],date('i'),date('s'),date('m'),date('d'),date('Y'));
		return date('M d, Y H:i:s', $date);
	}
}

if(!function_exists('ArrangeDateNoCorrection')) {
	function ArrangeDateNoCorrection($day,$month,$year,$hours,$minutes) {
		global $system, $MSG;
		$DATE = mktime($hours,$minutes,0,$month,$day,$year);
		$mth = "MON_0".date("m",$DATE)."E";
		$return = $MSG[$mth]." ".date("d, Y - H:i",$DATE);
		return $return;
	}
}

if(!function_exists('ArrangeDateNoCorrMesCompleto')) {
	function ArrangeDateNoCorrMesCompleto($day,$month,$year,$hours,$minutes) {
		global $system;
		$DATE = mktime($hours,$minutes,0,$month,$day,$year);
		$mth = "MSG_MON_0".date("m",$DATE)."E";
		GLOBAL $$mth;
		$return = $$mth." ".date("d, Y - H:i",$DATE);
		return $return;
	}
}
?>