<?php
/***************************************************************************
 *   copyright				: (C) 2008 WeBid
 *   site					: http://www.webidsupport.com/
 ***************************************************************************/

/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. Although none of the code may be
 *   sold. If you have been sold this script, get a refund.
 ***************************************************************************/

// Connect to sql server & inizialize configuration variables
include 'includes/config.inc.php';

#// If user is not logged in redirect to login page
if(!isset($_SESSION['WEBID_LOGGED_IN'])) {
	header("Location: user_login.php");
	exit;
}

# Send buyer's request to the administrator
if(isset($_POST['requesttoadmin'])) {
	include $main_path."language/".$system->SETTINGS['defaultlanguage']."/buyer_request.inc.php";
	$request_sent = $MSG['25_0142'];
	// Update user's status
	$query = "UPDATE ".$DBPrefix."users SET accounttype='buyertoseller',reg_date=reg_date WHERE id=".$_SESSION['WEBID_LOGGED_IN'];
	$system->check_mysql(mysql_query($query), $query, __LINE__, __FILE__);
	$_SESSION['WEBID_LOGGED_ACCOUNT'] = 'buyertoseller';
}

$cptab = (isset($_GET['cptab'])) ? $_GET['cptab'] : '';
switch($cptab) {
default:
case "account":
	$_SESSION['cptab'] = "account";
	break;
case "selling":
	$_SESSION['cptab'] = "selling";
	break;
case "buying":
	$_SESSION['cptab'] = "buying";
	break;
}

// Build user's selling activity information
if($_SESSION['cptab'] == "selling") {
	$TIME = mktime(date("H")+$system->SETTINGS['timecorrection'],date("i"),date("s"),date("m"), date("d"),date("Y"));
	$NOW = date("YmdHis",$TIME);
	
	// Active auctions
	$query = "SELECT count(*) AS active_auctions FROM ".$DBPrefix."auctions WHERE user='".$_SESSION['WEBID_LOGGED_IN']."' AND closed=0 AND starts<=".$NOW." AND suspended=0";
	$res = mysql_query($query);
	$system->check_mysql($res, $query, __LINE__, __FILE__);
	$active_auctions = mysql_result($res,0,"active_auctions");
	
	// Closed auctions
	$query = "SELECT count(*) AS closed_auctions FROM ".$DBPrefix."auctions WHERE user = '".$_SESSION['WEBID_LOGGED_IN']."' AND closed = 1 AND suspended<>8 AND (num_bids = 0 OR (num_bids > 0 AND reserve_price > 0 AND current_bid < reserve_price AND sold = 'n'))";
	$res = mysql_query($query);
	$system->check_mysql($res, $query, __LINE__, __FILE__);
	$closed_auctions = mysql_result($res,0,"closed_auctions");
	
	// Pending auctions
	$query = "SELECT COUNT(id) as COUNT FROM ".$DBPrefix."auctions WHERE user = '".$_SESSION['WEBID_LOGGED_IN']."' AND starts>".$NOW." AND suspended = 0";
	$res = mysql_query($query);
	$system->check_mysql($res, $query, __LINE__, __FILE__);
	$pending_auctions =  mysql_result($res,0,"COUNT");;
	
	// Suspended auctions
	$query = "SELECT count(id) as COUNT FROM ".$DBPrefix."auctions WHERE user=".$_SESSION['WEBID_LOGGED_IN']." AND closed= 0 AND suspended<>0";
	$res = mysql_query($query);
	$system->check_mysql($res, $query, __LINE__, __FILE__);
	$suspended_auctions =  @mysql_result($res,0,"COUNT");;
	
	// Sold items
	$query = "SELECT DISTINCT auction FROM ".$DBPrefix."winners WHERE seller = '".$_SESSION['WEBID_LOGGED_IN']."'";
	$res = mysql_query($query);
	$system->check_mysql($res, $query, __LINE__, __FILE__);
	$sold_items = $num_cat = mysql_num_rows($res);
}

$template->assign_vars(array(
	'B_REQUEST' => isset($request_sent),
	'B_TMPMSG' => isset($_SESSION['TMP_MSG']),
	'B_CANSELL' => (($system->SETTINGS['accounttype'] == 'sellerbuyer' && $_SESSION['WEBID_LOGGED_ACCOUNT'] == 'seller') || ($system->SETTINGS['accounttype'] == 'unique')),
	'B_ONLYBUYER' => ($system->SETTINGS['accounttype'] == 'sellerbuyer' && $_SESSION['WEBID_LOGGED_ACCOUNT'] == 'buyer'),
	'B_BUYTOSELL' => ($system->SETTINGS['accounttype'] == 'sellerbuyer' && $_SESSION['WEBID_LOGGED_ACCOUNT'] == 'buyertoseller'),
	
	'TMPMSG' => (isset($_SESSION['TMP_MSG'])) ? $_SESSION['TMP_MSG'] : '',
	'REQUEST' => (isset($request_sent)) ? $request_sent : '',
	'THISPAGE' => $_SESSION['cptab']
));

require("header.php");
include "includes/user_cp.php";
$template->set_filenames(array(
	'body' => 'user_menu.html'
));
$template->display('body');
include "footer.php";

unset($_SESSION['TMP_MSG']);
?>