<?php
/***************************************************************************
 *   copyright				: (C) 2008 WeBid
 *   site					: http://www.webidsupport.com/
 ***************************************************************************/

/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. Although none of the code may be
 *   sold. If you have been sold this script, get a refund.
 ***************************************************************************/

include "includes/config.inc.php";
include $include_path."countries.inc.php";

#// If user is not logged in redirect to login page
if(!isset($_SESSION['WEBID_LOGGED_IN'])) {
	header("Location: user_login.php");
	exit;
}

$TPL_errmsg = '';
if(isset($_POST['action']) && $_POST['action'] == "update") {
	#// Check data
	if ($_POST['TPL_email']) {
		if (strlen($_POST['TPL_password'])<6 && strlen($_POST['TPL_password']) > 0) {
			$TPL_err=1;
			$TPL_errmsg=$ERR_011;
		} else if ($_POST['TPL_password']!=$_POST['TPL_repeat_password']) {
			$TPL_err=1;
			$TPL_errmsg=$ERR_109;
		} else if (strlen($_POST['TPL_email'])<5) {
			$TPL_err=1;
			$TPL_errmsg=$ERR_110;
		} elseif(!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+([\.][a-z0-9-]+)+$",$_POST['TPL_email'])) {
			$TPL_err = 1;
			$TPL_errmsg = $ERR_008;
		} elseif (strlen($_POST['TPL_zip'])<4) {
			$TPL_err=1;
			$TPL_errmsg=$ERR_616;
		} elseif (strlen($_POST['TPL_phone'])<3)  {
			$TPL_err=1;
			$TPL_errmsg=$ERR_617;
		} elseif (empty($_POST['TPL_birthdate'])) {
			$TPL_err = 1;
			$TPL_errmsg = $ERR_5040;
		} else {
			if($system->SETTINGS['datesformat'] == "USA") {
				$_POST['TPL_birthdate'] = substr($_POST['TPL_birthdate'],6,4).
				substr($_POST['TPL_birthdate'],0,2).
				substr($_POST['TPL_birthdate'],3,2);
			} else {
				$_POST['TPL_birthdate'] = substr($_POST['TPL_birthdate'],6,4).
				substr($_POST['TPL_birthdate'],3,2).
				substr($_POST['TPL_birthdate'],0,2);
			}

			$sql = "UPDATE ".$DBPrefix."users SET email='".$system->cleanvars($_POST['TPL_email'])."',
					birthdate = '".$system->cleanvars($_POST['TPL_birthdate'])."',
					address = '".$system->cleanvars($_POST['TPL_address'])."',
					city = '".$system->cleanvars($_POST['TPL_city'])."',
					prov = '".$system->cleanvars($_POST['TPL_prov'])."',
					country = '".$system->cleanvars($_POST['TPL_country'])."',
					zip = '".$system->cleanvars($_POST['TPL_zip'])."',
					phone = '".$system->cleanvars($_POST['TPL_phone'])."',
					reg_date = reg_date,
					nletter = '".$system->cleanvars($_POST['TPL_nletter']);
			
			if(strlen($_POST['TPL_password']) > 0) {
				$sql .= "', password='".md5($MD5_PREFIX.addslashes($_POST['TPL_password']));
			}
			
			$sql .= "' WHERE id = ".$_SESSION['WEBID_LOGGED_IN'];
			$res = mysql_query ($sql);
			$system->check_mysql($res, $sql, __LINE__, __FILE__);
			$TPL_errmsg = $MSG['183'];
		}
	} else {
		$TPL_errmsg = $ERR_112;
	}
}

#// Retrieve user's data
$query = "SELECT * FROM ".$DBPrefix."users WHERE id = ".$_SESSION['WEBID_LOGGED_IN'];
$result = mysql_query($query);
$system->check_mysql($result, $query, __LINE__, __FILE__);
$USER = mysql_fetch_array($result);
if($system->SETTINGS['datesformat'] == "USA") {
	$TPL_birthdate	=  substr($USER['birthdate'],4,2)."/".
	substr($USER['birthdate'],6,2)."/".
	substr($USER['birthdate'],0,4);
} else {
	$TPL_birthdate	=  substr($USER['birthdate'],6,2)."/".
	substr($USER['birthdate'],4,2)."/".
	substr($USER['birthdate'],0,4);
}

$country = '';
while (list($code, $name) = each($countries)) {
	$country .= "<option value=\"$name\"";
	if ($name == $USER['country']) {
		$country .= " selected";
	}
	$country .= ">$name</option>\n";
}

$template->assign_vars(array(
	'COUNTRYLIST' => $country,
	'NAME' => $USER['name'],
	'NICK' => $USER['nick'],
	'EMAIL' => $USER['email'],
	'BIRTHDATE' => $TPL_birthdate,
	'ADDRESS' => $USER['address'],
	'CITY' => $USER['city'],
	'PROV' => $USER['prov'],
	'ZIP' => $USER['zip'],
	'PHONE' => $USER['phone'],
	'ERROR' => $TPL_errmsg,
	
	'NLETTER1' => ($USER['nletter'] == 1) ? ' checked="checked"' : '',
	'NLETTER2' => ($USER['nletter'] == 2) ? ' checked="checked"' : '',
	
	'B_DATEFORMAT' => ($system->SETTINGS['datesformat'] == "USA"),
	'B_NEWLETTER' => ($system->SETTINGS['newsletter'] == 1)
));

$TMP_usmenutitle = $MSG['509'];
include "header.php";
include "includes/user_cp.php";
$template->set_filenames(array(
	'body' => 'edit_details.html'
));
$template->display('body');
include "footer.php";
?>