<?php
/***************************************************************************
 *   copyright				: (C) 2008 WeBid
 *   site					: http://www.webidsupport.com/
 ***************************************************************************/

/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. Although none of the code may be
 *   sold. If you have been sold this script, get a refund.
 ***************************************************************************/
 
include "includes/config.inc.php";
include $include_path."countries.inc.php";
include $include_path."banemails.inc.php";

function CheckAge($day,$month,$year) { //check if the users > 18
	$NOW_year	= date('Y');
	$NOW_month	= date('m');
	$NOW_day	= date('d');

	if(($NOW_year - $year) > 18) {
		return 1;
	} else if((($NOW_year - $year) == 18) && ($NOW_month > $month)) {
		return 1;
	} else if((($NOW_year - $year) == 18) && ($NOW_month == $month) && ($NOW_day >= $day)) {
		return 1;
	} else {
		return 0;
	}
}

$TIME = mktime(date("H")+$system->SETTINGS['timecorrection'],date("i"),date("s"),date("m"), date("d"),date("Y"));
$NOW = date("YmdHis",$TIME);
$NOWB = date("YmdHis",$TIME);
$TPL_errmsg = '';
$TPL_err = 0;

if (empty($_POST['action'])) {
    $action = "first";
}

// Retrieve users signup settings
$query = "SELECT * FROM ".$DBPrefix."usersettings";
$res = mysql_query($query);
$system->check_mysql($res, $query, __LINE__, __FILE__);
$MANDATORY_FIELDS = unserialize(mysql_result($res, 0, 'mandatory_fields'));

if (isset($_POST['action']) && $_POST['action'] == "first") {
    if (empty($_POST['accounttype']) && $system->SETTINGS['accounttype'] == 'sellerbuyer') {
        $TPL_err = 1;
        $TPL_errmsg = $MSG['25_0137'];
    } elseif (empty($_POST['TPL_name'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5029;
    } elseif (empty($_POST['TPL_nick'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5030;
    } elseif (empty($_POST['TPL_password'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5031;
    } elseif (empty($_POST['TPL_repeat_password'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5032;
    } elseif (empty($_POST['TPL_email'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5033;
    } elseif (empty($_POST['TPL_address'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5034;
    } elseif (empty($_POST['TPL_city'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5035;
    } elseif (empty($_POST['TPL_prov'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5036;
    } elseif (empty($_POST['TPL_country'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5037;
    } elseif (empty($_POST['TPL_zip'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5038;
    } elseif (empty($_POST['TPL_phone'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5039;
    } elseif (empty($_POST['TPL_birthdate'])) {
        $TPL_err = 1;
        $TPL_errmsg = $ERR_5040;
    } else {
        // -- Explode birthdate into DAY MONTH YEAR
        if(!empty($_POST['TPL_birthdate'])){
            $DATE = explode("/", $_POST['TPL_birthdate']);
            if($system->SETTINGS['datesformat'] == "USA") {
                $birth_day = $DATE[1];
                $birth_month = $DATE[0];
                $birth_year = $DATE[2];
            } else {
                $birth_day = $DATE[0];
                $birth_month = $DATE[1];
                $birth_year = $DATE[2];
            }
            $DATE = "$birth_year$birth_month$birth_day";
        }else{
            $DATE = 0;
        }
        
        if (strlen($_POST['TPL_nick']) < 6) {
            $TPL_err = 1;
            $TPL_errmsg = $ERR_107;
        } else if (strlen ($_POST['TPL_password']) < 6) {
            $TPL_err = 1;
            $TPL_errmsg = $ERR_108;
        } else if ($_POST['TPL_password'] != $_POST['TPL_repeat_password']) {
            $TPL_err = 1;
            $TPL_errmsg = $ERR_109;
        } else if (strlen($_POST['TPL_email']) < 5) {
			$TPL_err = 1;
			$TPL_errmsg = $ERR_110;
        } else if (!ereg("^[0-9]{2}/[0-9]{2}/[0-9]{4}$", $_POST['TPL_birthdate'])  && $MANDATORY_FIELDS['birthdate']=='y') {
			$TPL_err = 1;
			$TPL_errmsg = $ERR_043;
        } elseif (!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+([\.][a-z0-9-]+)+$", $_POST['TPL_email'])) {
            $TPL_err = 1;
            $TPL_errmsg = $ERR_008;
        } else if (!CheckAge($birth_day, $birth_month, $birth_year) && $MANDATORY_FIELDS['birthdate']=='y') {
            $TPL_err = 1;
            $TPL_errmsg = $ERR_113;
        } elseif(BannedEmail($_POST['TPL_email'],$BANNEDDOMAINS)){
            $TPL_err = 1;
            $TPL_errmsg = $MSG['30_0054'];
        } else {
            $sql = "SELECT nick FROM ".$DBPrefix."users WHERE nick='" .$system->cleanvars($_POST['TPL_nick']) . "'";
            $res = mysql_query ($sql);
			$system->check_mysql($res, $sql, __LINE__, __FILE__);
            if (mysql_num_rows($res) > 0) {
                $TPL_err = 1;
                $TPL_errmsg = $ERR_111; // Selected user already exists
            }
            $sql = "SELECT email FROM ".$DBPrefix."users WHERE email='" . $system->cleanvars($_POST['TPL_email']) . "'";
            $res = mysql_query ($sql);
			$system->check_mysql($res, $sql, __LINE__, __FILE__);
            if (mysql_num_rows($res) > 0) {
                $TPL_err = 1;
                $TPL_errmsg = $ERR_115; // E-mail already used
            }
            
            if ($TPL_err == 0) {
                $TPL_nick_hidden = $_POST['TPL_nick'];
                $TPL_password_hidden = $_POST['TPL_password'];
                $TPL_name_hidden = $_POST['TPL_name'];
                $TPL_email_hidden = $_POST['TPL_email'];
                $TODAY = $NOWB;
                $SUSPENDED = ($system->SETTINGS['activationtype'] == 2) ? 0 : 8;
				$SUSPENDED = ($system->SETTINGS['activationtype'] == 0) ? 10 : $SUSPENDED;
                if($system->SETTINGS['accounttype'] == 'sellerbuyer') {
                    $selected_accounttype = $_POST['accounttype'];
                } else {
                    $selected_accounttype = 'unique';
                }
                $sql = "INSERT INTO ".$DBPrefix."users (id,
                        nick, password, name, address, city, prov,
                        country, zip, phone, nletter,email, reg_date,
                        rate_sum,  rate_num, birthdate,suspended,accounttype)
                          VALUES (NULL, \"" . $system->cleanvars($TPL_nick_hidden) . "\", \""
                      . md5($MD5_PREFIX . $TPL_password_hidden) . "\", \""
                      . $system->cleanvars($TPL_name_hidden) . "\", \""
                        . $system->cleanvars($_POST['TPL_address']) . "\", \""
                        . $system->cleanvars($_POST['TPL_city']) . "\", \""
                        . $system->cleanvars($_POST['TPL_prov']) . "\", \""
                        . $system->cleanvars($_POST['TPL_country']) . "\", \""
                        . $system->cleanvars($_POST['TPL_zip']) . "\", \""
                        . $system->cleanvars($_POST['TPL_phone']) . "\", \""
                        . $system->cleanvars($_POST['TPL_nletter']) . "\", \""
                        . $system->cleanvars($_POST['TPL_email']) . "\",
                      '$TODAY', 0, 0,
                      '$DATE',
                      '$SUSPENDED','$selected_accounttype')";
                $res = mysql_query ($sql);
				$system->check_mysql($res, $sql, __LINE__, __FILE__);
				$TPL_id_hidden = mysql_insert_id();
				$query = "INSERT INTO ".$DBPrefix."usersips VALUES(
						  NULL, ".intval($TPL_id_hidden).", '".$_SERVER['REMOTE_ADDR']."', 'first','accept')";
				$res = mysql_query($query);
				$system->check_mysql($res, $query, __LINE__, __FILE__);

				$query = "UPDATE ".$DBPrefix."counters SET inactiveusers=inactiveusers+1";
				$counteruser = mysql_query($query);
				$system->check_mysql($counteruser, $query, __LINE__, __FILE__);
	
				$language = $system->SETTINGS['defaultlanguage'];
				$_SESSION['language'] = $language;
				$query = "INSERT INTO ".$DBPrefix."userslanguage VALUES ('".$TPL_id_hidden."', '$language')";
				$res = mysql_query($query);
				$system->check_mysql($res, $query, __LINE__, __FILE__);
            }
        }
    }
}

$country = '';
if (!isset($_POST['action']) || ($_POST['action'] == "first" && isset($TPL_err))) {
	$selcountry = isset($_POST['TPL_country']) ? $_POST['TPL_country'] : '';
    foreach ($countries as $key=>$name) {
        $country .= "<option value=\"$name\"";
        if ($name == $selcountry) {
            $country .= " selected";
        } elseif ($system->SETTINGS['defaultcountry'] == $name && !isset($TPL_err)) {
            $country .= " selected";
        }
        $country .= ">$name</option>\n";
    }
	$first = true;
}

if (isset($_POST['action']) && $_POST['action'] == "first" && !$TPL_err) {
	if($system->SETTINGS['activationtype'] == 0) {
		include $include_path."user_confirmation_needapproval.inc.php";
		$TPL_message = $MSG['016_a'];
	} elseif($system->SETTINGS['activationtype'] == 1) {
		include $include_path."user_confirmation.inc.php";
		$TPL_message = sprintf($MSG['016'], $TPL_email_hidden);
	} else {
		include $include_path."user_approved.inc.php";
		$TPL_message = $MSG['016_b'];
	}
	$first = false;
}
$template->assign_vars(array(
	'L_ERROR' => $TPL_errmsg,
	'L_COUNTRIES' => $country,
	'L_ACCEPTANCE' => nl2br(stripslashes($system->SETTINGS['acceptancetext'])),
	'L_DATEFORMAT' => ($system->SETTINGS['datesformat'] == "USA") ? $MSG['382'] : $MSG['383'],
	'L_MESSAGE' => (isset($TPL_message)) ? $TPL_message : '',
	
	'B_ERRORMSG' => (!empty($TPL_errmsg)),
	'B_BUYSELLER' => ($system->SETTINGS['accounttype'] == 'sellerbuyer'),
	'B_ADMINAPROVE' => ($system->SETTINGS['activationtype'] == 0),
	'B_NLETTER' => ($system->SETTINGS['newsletter'] == 1),
	'B_SHOWACCEPTANCE' => ($system->SETTINGS['showacceptancetext'] == 1),
	'B_FIRST' => $first,
	
	'V_SELSELCT' => (isset($_POST['accounttype']) && $_POST['accounttype'] == 'seller') ? 'checked=true' : '',
	'V_BUYSELCT' => (isset($_POST['accounttype']) && $_POST['accounttype'] == 'buyer') ? 'checked=true' : '',
	'V_YNEWSL' => (isset($_POST['TPL_nletter']) && $_POST['TPL_nletter'] == 1) ? 'checked=true' : '',
	'V_NNEWSL' => (isset($_POST['TPL_nletter']) && $_POST['TPL_nletter'] == 2) ? 'checked=true' : '',
	'V_YNAME' => (isset($_POST['TPL_name'])) ? $_POST['TPL_name'] : '',
	'V_UNAME' => (isset($_POST['TPL_nick'])) ? $_POST['TPL_nick'] : '',
	'V_EMAIL' => (isset($_POST['TPL_email'])) ? $_POST['TPL_email'] : '',
	'V_BIRTH' => (isset($_POST['TPL_birthdate'])) ? $_POST['TPL_birthdate'] : '',
	'V_ADDRE' => (isset($_POST['TPL_address'])) ? $_POST['TPL_address'] : '',
	'V_CITY' => (isset($_POST['TPL_city'])) ? $_POST['TPL_city'] : '',
	'V_PROV' => (isset($_POST['TPL_prov'])) ? $_POST['TPL_prov'] : '',
	'V_POSTCODE' => (isset($_POST['TPL_zip'])) ? $_POST['TPL_zip'] : '',
	'V_PHONE' => (isset($_POST['TPL_phone'])) ? $_POST['TPL_phone'] : ''
));

include "header.php";
$template->set_filenames(array(
	'body' => 'register.html'
));
$template->display('body');
include "footer.php";
?>