<?php
/***************************************************************************
 *   copyright				: (C) 2008 WeBid
 *   site					: http://www.webidsupport.com/
 ***************************************************************************/

/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. Although none of the code may be
 *   sold. If you have been sold this script, get a refund.
 ***************************************************************************/
require('includes/config.inc.php');
$cropdefault = false;
$width = $system->SETTINGS['thumb_show'];
$height = $width/1.2;

function resizeThumbnailImage($thumb_image_name, $image, $width, $height, $start_width, $start_height, $scale){
	list($imagewidth, $imageheight, $imageType) = getimagesize($image);
	$imageType = image_type_to_mime_type($imageType);
	
	$newImageWidth = ceil($width * $scale);
	$newImageHeight = ceil($height * $scale);
	$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);
	switch($imageType) {
		case "image/gif":
			$source=imagecreatefromgif($image); 
			break;
	    case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
			$source=imagecreatefromjpeg($image); 
			break;
	    case "image/png":
		case "image/x-png":
			$source=imagecreatefrompng($image); 
			break;
  	}
	imagecopyresampled($newImage,$source,0,0,$start_width,$start_height,$newImageWidth,$newImageHeight,$width,$height);
	switch($imageType) {
		case "image/gif":
	  		imagegif($newImage,$thumb_image_name); 
			break;
      	case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
	  		imagejpeg($newImage,$thumb_image_name,90); 
			break;
		case "image/png":
		case "image/x-png":
			imagepng($newImage,$thumb_image_name);  
			break;
    }
	chmod($thumb_image_name, 0777);
	return $thumb_image_name;
}

// Process delete
if($_GET['action'] == 'delete' && isset($_GET['img'])) {
	if($_SESSION['SELL_pict_url_temp'] == $_SESSION['UPLOADED_PICTURES'][intval($_GET['img'])]) {
		unlink($upload_path.session_id()."/".$_SESSION['SELL_pict_url']);
		unset($_SESSION['SELL_pict_url']);
	}
	unlink($upload_path.session_id()."/".$_SESSION['UPLOADED_PICTURES'][intval($_GET['img'])]);
	unset($_SESSION['UPLOADED_PICTURES'][intval($_GET['img'])]);
	unset($_SESSION['UPLOADED_PICTURES_SIZE'][intval($_GET['img'])]);
}

if($_GET['action'] == 'makedefault'){
	$_SESSION['SELL_pict_url_temp'] = $_SESSION['SELL_pict_url'] = $_GET['img'];
	$cropdefault = true;
	$image = $_GET['img'];
}

if ($_GET['action'] == 'crop' && !empty($_POST['w'])) {
	//Get the new coordinates to crop the image.
	$x1 = intval($_POST['x1']);
	$y1 = intval($_POST['y1']);
	$x2 = intval($_POST['x2']);
	$y2 = intval($_POST['y2']);
	$w = intval($_POST['w']);
	$h = intval($_POST['h']);
	//Scale the image to the thumb_width set above
	$scale = $width/$w;
	$large_image_location = $upload_path.session_id().'/'.$_GET['img'];
	$thumb_image_location = $upload_path.session_id().'/thumb-'.$_GET['img'];
	$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);
	$_SESSION['SELL_pict_url'] = 'thumb-'.$_GET['img'];
}

// Create Gallery
// PROCESS UPLOADED FILE
if(!empty($_POST['creategallery'])) {
	$_SESSION['GALLERY_UPDATED'] = true;
	print "<script type=\"text/javascript\">window.close()</script>";
	exit;
}

// PROCESS UPLOADED FILE
if($_POST['uploadpicture'] == $MSG['681']) {
	if(!empty($_FILES['userfile']['tmp_name']) && $_FILES['userfile']['tmp_name'] != "none") {
		if(!is_array($_SESSION['UPLOADED_PICTURES'])) $_SESSION['UPLOADED_PICTURES'] = array();
		if(!is_array($_SESSION['UPLOADED_PICTURES_SIZE'])) $_SESSION['UPLOADED_PICTURES_SIZE'] = array();
		$filename = basename($_FILES['userfile']['name']);
		$file_ext = strtolower(substr($filename, strrpos($filename, '.') + 1));
		$file_types = array('gif', 'jpg', 'jpeg', 'png');
		
		if($_FILES['userfile']['size'] > $system->SETTINGS['maxuploadsize']) {
			$ERR = $ERR_709."&nbsp;".($system->SETTINGS['maxuploadsize']/1024)."&nbsp;Kbytes";
		} elseif(!in_array($file_ext, $file_types)) {
			$ERR = $ERR_710." (".$file_ext.")";
		} elseif(in_array($_FILES['userfile']['name'],$_SESSION['UPLOADED_PICTURES'])) {
			$ERR = $MGS_2__0054." (".$_FILES['userfile']['name'].")";
		} else {
			// Create a TMP directory for this session (if not already created)
			umask();
			if(!file_exists($upload_path.session_id())) {
				umask();
				mkdir($upload_path.session_id(),0777);
			}
			// Move uploaded file into TMP directory
			move_uploaded_file($_FILES['userfile']['tmp_name'],$upload_path.session_id()."/".$_FILES['userfile']['name']);
			chmod($upload_path.session_id()."/".$_FILES['userfile']['name'],0666);
			$fname = $upload_path.session_id()."/".$_FILES['userfile']['name'];
			//Populate arrays
			array_push($_SESSION['UPLOADED_PICTURES'],$_FILES['userfile']['name']);
			array_push($_SESSION['UPLOADED_PICTURES_SIZE'],filesize($fname));
			if(count($_SESSION['UPLOADED_PICTURES']) == 1){
				$_SESSION['SELL_pict_url_temp'] = $_SESSION['SELL_pict_url'] = $_FILES['userfile']['name'];
				$cropdefault = true;
				$image = $_FILES['userfile']['name'];
			}
		}
	}
}

?>
<html>
<head>
<title><?php print $system->SETTINGS['sitename']?></title>
<link rel='stylesheet' type='text/css' href='<?=phpa_include("style.css")?>'>
<?php
if($cropdefault){
list($imgwidth, $imgheight) = getimagesize($upload_path.session_id().'/'.$image);
?>
<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="js/jquery.imgareaselect.js"></script>
<script type="text/javascript">
function preview(img, selection) { 
	var scaleX = 100 / selection.width; 
	var scaleY = 100 / selection.height; 
	
	$('#thumbnail + div > img').css({ 
		width: Math.round(scaleX * <?=$imgwidth?>) + 'px', 
		height: Math.round(scaleY * <?=$imgheight?>) + 'px',
		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px', 
		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px' 
	});
	$('#x1').val(selection.x1);
	$('#y1').val(selection.y1);
	$('#x2').val(selection.x2);
	$('#y2').val(selection.y2);
	$('#w').val(selection.width);
	$('#h').val(selection.height);
} 

$(document).ready(function () { 
	$('#save_thumb').click(function() {
		var x1 = $('#x1').val();
		var y1 = $('#y1').val();
		var x2 = $('#x2').val();
		var y2 = $('#y2').val();
		var w = $('#w').val();
		var h = $('#h').val();
		if(x1=="" || y1=="" || x2=="" || y2=="" || w=="" || h==""){
			alert("You must make a selection first");
			return false;
		} else {
			return true;
		}
	});
}); 

$(window).load(function () { 
	$('#thumbnail').imgAreaSelect({ aspectRatio: '1.2:1', onSelectChange: preview }); 
});

</script>
<?php
}
?>
</head>

<body bgcolor="#FFFFFF">
<div class="container">
<?php
if($cropdefault){
$swidth = ($width < 380) ? '' : ' width: 380px;';
echo $MSG['610'];
?>
<img src="<?php echo $uploaded_path.session_id()."/".$image; ?>" style="float: left; margin-right: 10px;<?=$swidth?>" id="thumbnail" alt="Create Thumbnail" />
<div style="float:left; position:relative; overflow:hidden; border:#000000 double; <?php echo "width:$width; height:$height;"; ?>">
    <img src="<?php echo $uploaded_path.session_id()."/".$image; ?>" style="position: relative;" alt="Thumbnail Preview" />
</div>
<form name="thumbnail" action="?action=crop&img=<?=$image?>" method="post">
    <input type="hidden" name="x1" value="" id="x1" />
    <input type="hidden" name="y1" value="" id="y1" />
    <input type="hidden" name="x2" value="" id="x2" />
    <input type="hidden" name="y2" value="" id="y2" />
    <input type="hidden" name="w" value="" id="w" />
    <input type="hidden" name="h" value="" id="h" />
    <input type="submit" class="button" name="upload_thumbnail" value="Save Thumbnail" id="save_thumb" />
</form>
<?php
} else {
?>
<form name="upload" action="" method="post" enctype="multipart/form-data">
<TABLE CELLPADDING=3 CELLSPACING=0 BORDER=0 align="center" width="90%">
<tr>
  <td BGCOLOR="<?=$FONTCOLOR[$system->SETTINGS['headercolor']]?>" COLSPAN=2>
      <B><?=$MSG['663']?></B>
  </td>
</tr>
<tr>
  <td COLSPAN=2>
    <?php
      print $MSG['673']."&nbsp;".$system->SETTINGS['maxpictures']."&nbsp;".$MSG['674'];
      if($system->SETTINGS['picturesgalleryfee'] == 1 ) {
          print $MSG['675']."&nbsp;".$system->print_money($system->SETTINGS['picturesgalleryvalue'])."&nbsp;".$MSG['676'];
      }
      print "<BR>".$MSG['679'];
    ?>
  </td>
</tr>
<?php
  if(!empty($ERR)) {
?>
  <tr>
    <td class=errfont align="center">
      <?=$ERR?>
    </td>
  </tr>
<?php
  }
?>

<?php
  if(count($_SESSION['UPLOADED_PICTURES']) < $system->SETTINGS['maxpictures']) {
?>
  <tr>
    <td>
      1.<?=$MSG['680']?>
      <BR>
      <input type="file" name="userfile" size="15">
    </td>
  </tr>
  <tr>
    <td>
      2.<?=$MSG['681']?>
      <BR>
      <INPUT TYPE="SUBMIT" NAME="uploadpicture" VALUE="<?=$MSG['681']?>">
    </td>
  </tr>
  <tr>
    <td>
        <?=$MSG['682']?>
    </td>
  </tr>

<?php
  } else {
?>
  <tr>
    <td class=errfont align="center">
      <?=$MSG['688']."&nbsp;".$system->SETTINGS['maxpictures']."&nbsp;".$MSG['689']?>
    </td>
  </tr>
<?php
  }
?>
</TABLE>
<?php
}
?>
<br style="clear:both;">
<BR>
<center>
<B><?=$MSG['687']?></B>
</center>
<TABLE CELLPADDING=3 CELLSPACING=0 BORDER=0 align="center" width=90%>
  <tr BGCOLOR="<?=$FONTCOLOR[$system->SETTINGS['headercolor']]?>">
    <td width=46%>
      <B><?=$MSG['684']?></B>
    </td>
    <td width=30%>
      <B><?=$MSG['685']?></B>
    </td>
    <td width=12% ALIGN="center">
      <B><?=$MSG['008']?></B>
    </td>
    <td width=12% ALIGN="center">
      <B><?=$MSG['686']?></B>
    </td>
  </tr>
<?php
  if(is_array($_SESSION['UPLOADED_PICTURES'])) {
    while(list($k,$v) = each($_SESSION['UPLOADED_PICTURES'])) {
  ?>
    <td>
        <?=$v?>
    </td>
    <td>
        <?=$_SESSION['UPLOADED_PICTURES_SIZE'][$k]?>
    </td>
    <td ALIGN="center">
        <A HREF="?action=delete&img=<?=$k?>"><IMG SRC="images/trash.png" BORDER=0></A>
    </td>
    <td ALIGN="center">
    	<?php
		if($v == $_SESSION['SELL_pict_url_temp']){
		?>
        <a href="?action=makedefault&img=<?=$v?>"><img src="images/selected.gif" border=0></a>
        <?php
		} else {
		?>
        <a href="?action=makedefault&img=<?=$v?>"><img src="images/unselected.gif" border=0></a>
        <?php
		}
		?>
    </td>
  </tr>
<?php
    }
  }
?>
</TABLE>

<BR><BR>
<center>
<input type="SUBMIT" NAME="creategallery" VALUE="<?=$MSG['683']?>">
</center>
</form>
<BR><BR>
<center>
<A HREF="javascript: window.close()"><?=$MSG['678']?></A>
<BR>
</center>
</div>
</BODY>
</HTML>