<?php

/***************************************************************************
 *   copyright				: (C) 2008 WeBid
 *   site					: http://www.webidsupport.com/
 ***************************************************************************/

/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. Although none of the code may be
 *   sold. If you have been sold this script, get a refund.
 ***************************************************************************/

require('includes/config.inc.php');

/* get active bids for this user */
$query = "SELECT a.current_bid, a.id, a.title, a.ends, b.bid FROM ".$DBPrefix."auctions a, ".$DBPrefix."bids b
		WHERE a.id=b.auction AND a.closed='0' AND b.bidder='".$_SESSION['WEBID_LOGGED_IN']."' ORDER BY a.ends ASC, b.bidwhen DESC";
$result = mysql_query($query);
$system->check_mysql($result, $query, __LINE__, __FILE__);

$idcheck = "";
$auctions_count = 0;
$bgColor = "#EBEBEB";
while ($row = mysql_fetch_array($result)) {

	$rowid = $row['id'];
	if ($idcheck != $rowid) {
		$bid = $row['bid'];

		/* prepare some data */
		$ends_date = strval($row['ends']);
		$ends_y =	substr ($ends_date, 0, 4);
		$ends_m =	substr ($ends_date, 4, 2);
		$ends_d =	substr ($ends_date, 6, 2);
		$ends_h =	substr ($ends_date, 8, 2);
		$ends_min =	substr ($ends_date, 10, 2);
		$ends_sec =	substr ($ends_date, 12, 2);

		if($bgColor == "#EBEBEB") {
			$bgColor = "#FFFFFF";
		} else {
			$bgColor = "#EBEBEB";
		}
		#// Outbidded or winning bid
		if($row['current_bid'] != $row['bid']) $bgColor = '#FFFF00';

		/* this subastas title and link to details */
		$difference = time() - mktime($h,$min,$sec,$m,$d,$y);

		/* current bid of this subastas */
		if($bid == 0) {
			$bid = $starting_price;
		}
		$bid = $system->print_money($bid);

		/* time left till the end of this subastas */
		$difference = mktime($ends_h,$ends_min,$ends_sec,$ends_m,$ends_d,$ends_y)-time();
		$days_difference = intval($difference / 86400);
		$difference = $difference - ($days_difference * 86400);

		$hours_difference = intval($difference / 3600);
		if(strlen($hours_difference) == 1) {
			$hours_difference = '0'.$hours_difference;
		}

		$difference = $difference - ($hours_difference * 3600);
		$minutes_difference = intval($difference / 60);
		if(strlen($minutes_difference) == 1) {
			$minutes_difference = '0'.$minutes_difference;
		}

		$difference = $difference - ($minutes_difference * 60);
		$seconds_difference = $difference;
		if(strlen($seconds_difference) == 1) {
			$seconds_difference = '0'.$seconds_difference;
		}

		$auctions_count++;

		$idcheck = $rowid;
		
		$template->assign_block_vars('bids', array(
			'BGCOLOUR' => $bgColor,
			'ID' => $rowid,
			'TITLE' => $row['title'],
			'BID' => $bid,
			'DAYS_DIFF' => $days_difference,
			'HOURS_DIFF' => $hours_difference,
			'MIN_DIFF' => $minutes_difference,
			'SEC_DIFF' => $seconds_difference,
			'DAY' => ($days_difference == 1) ? $MSG['126b'] : $MSG['126']
		));
	}
}

$template->assign_vars(array(
	'NUM_BIDS' => $auctions_count
));

include "header.php";
$TMP_usmenutitle = $MSG['620'];
include "includes/user_cp.php";
$template->set_filenames(array(
	'body' => 'yourbids.html'
));
$template->display('body');
include "footer.php";
?>